Game_Interpreter.prototype.RomaSpineSkinSet = function () {
    if ($gameSwitches.value(228) || $gameSwitches.value(SW_武器OFF)) { 
        this.delSpineSkin("Romasha", "Weapon/Sword");
    } else{
        this.AddSpineSkin("Romasha", "Weapon/Sword");
    }
    this.AddSpineSkin("Romasha", "Base/Bare"); 
    this.delSpineSkin("Romasha", "Bust/BareBust");
    this.delSpineSkin("Romasha", "Bust/Bra");
    this.delSpineSkin("Romasha", "Bust/InnerBust");
    this.delSpineSkin("Romasha", "Pants");
    this.delSpineSkin("Romasha", "Weapon/Spear");
    this.delSpineSkin("Romasha", "ArmedArm");
    this.delSpineSkin("Romasha", "ArmedBody");
    this.delSpineSkin("Romasha", "ArmedBoot");
    this.delSpineSkin("Romasha", "ArmedBustAcce");
    this.delSpineSkin("Romasha", "ArmedHand");
    this.delSpineSkin("Romasha", "ArmedHip");
    this.delSpineSkin("Romasha", "ArmedLeg");
    this.delSpineSkin("Romasha", "ArmedPlate");
    this.delSpineSkin("Romasha", "ArmedPlateBust");
    this.delSpineSkin("Romasha", "ArmedShoulder");
    this.delSpineSkin("Romasha", "Device");
    this.delSpineSkin("Romasha", "InnerBody");
    this.delSpineSkin("Romasha", "InnerLeg");
    this.delSpineSkin("Romasha", "Native_Bottom");
    this.delSpineSkin("Romasha", "Native_Upper");
    if (FinalFormFlg) {
        this.AddSpineSkin("Romasha", "Hair/Long");
        this.AddSpineSkin("Romasha", "Final/Final");
        this.AddSpineSkin("Romasha", "Weapon/Spear");
        this.SpineSkinCng(PN_CharacterPL);
        return; 
    }
    switch ($gameVariables.value(VN_TL2DKami)) { 
        case 0: 
            this.AddSpineSkin("Romasha", "Hair/Short");
            break;
        case 30: 
            this.AddSpineSkin("Romasha", "Hair/Long");
            break;
    }
    let ckKigaeNo = $gameVariables.value(VN_TL2DKigae);
    if ($gameSwitches.value(SW_キャストオフ)) {
        ckKigaeNo = 30;
    }
    switch (ckKigaeNo) {
        case 0: 
            this.delSpineSkin("Romasha", "Base/Bare"); 
            this.AddSpineSkin("Romasha", "Base/UniformBattle");
            break;
        case 1: 
            this.delSpineSkin("Romasha", "Base/Bare"); 
            this.AddSpineSkin("Romasha", "Base/UniformA");
            break;
        case 2: 
            this.delSpineSkin("Romasha", "Base/Bare"); 
            this.AddSpineSkin("Romasha", "Base/UniformB");
            break;
        default: 
            if ($gameSwitches.value(SW_MizugiON)) {
                this.delSpineSkin("Romasha", "Base/Bare"); 
                this.AddSpineSkin("Romasha", "Base/Swim");
                break;
            }
            if ($gameSwitches.value(SW_NemakiON)) {
                this.delSpineSkin("Romasha", "Base/Bare"); 
                this.AddSpineSkin("Romasha", "Base/Negligee");
                break;
            }
            if ($gameSwitches.value(SW_MinzokuON)) {
                if (!$gameSwitches.value(SW_RobuON)) {
                    this.delSpineSkin("Romasha", "Base/Bare"); 
                    this.AddSpineSkin("Romasha", "Base/Native");
                    this.delSpineSkin("Romasha", "Native_Bottom");
                    this.delSpineSkin("Romasha", "Native_Upper");
                    if (!$gameSwitches.value(SW_MinzokuTopON)) {
                        this.AddSpineSkin("Romasha", "Native_Upper");
                    }
                    if (!$gameSwitches.value(SW_MinzokuBtmON)) {
                        this.AddSpineSkin("Romasha", "Native_Bottom");
                    }
                    break;
                }
                if ($gameSwitches.value(SW_L2Dローブ)) { 
                    this.delSpineSkin("Romasha", "Base/Bare"); 
                    this.AddSpineSkin("Romasha", "Base/Coat");
                    this.delSpineSkin("Romasha", "Hair/Short");
                    this.delSpineSkin("Romasha", "Hair/Long");
                }
            }
            if ($gameSwitches.value(SW_BaniON)) {
                this.delSpineSkin("Romasha", "Base/Bare"); 
                this.AddSpineSkin("Romasha", "Base/Bunny");
                this.delSpineSkin("Romasha", "Native_Bottom");
                this.delSpineSkin("Romasha", "Native_Upper");
                break;
            }
            this.AddSpineSkin("Romasha", "Bust/BareBust"); 
            if (!$gameSwitches.value(SW_キャストオフ)) {
                if (!$gameSwitches.value(SW_BuraOFF)) {
                    this.AddSpineSkin("Romasha", "Bust/Bra"); 
                }
                if (!$gameSwitches.value(SW_PantuOFF)) {
                    this.AddSpineSkin("Romasha", "Pants");
                }
            } else {
                if (AccessFlg){
                    this.delSpineSkin("Romasha", "Native_Bottom"); 
                    this.delSpineSkin("Romasha", "Native_Upper"); 
                    this.AddSpineSkin("Romasha", "InnerBody");
                    this.AddSpineSkin("Romasha", "Bust/InnerBust"); 
                    this.AddSpineSkin("Romasha", "InnerLeg");
                }
            }
            if ($gameSwitches.value(SW_L2Dタオル)) {
                this.AddSpineSkin("Romasha", "Base/Bare" ,　"TawelBase");
                this.AddSpineSkin("Romasha", "Base/Towel");
                this.delSpineSkin("Romasha", "Bust/BareBust");
                this.delSpineSkin("Romasha", "Bust/Bra");
                this.delSpineSkin("Romasha", "Bust/InnerBust");
                this.delSpineSkin("Romasha", "Pants");
                break;
            }
            //let l2DRobValue = L2D_ParamGet(MdlRomashaBattle,"hudoON");
            if (battleflg && $gameSwitches.value(SW_L2Dローブ)) { 
                this.delSpineSkin("Romasha", "Base/Bare"); 
                this.AddSpineSkin("Romasha", "Base/Coat");
                break;
            }
            break;
    }
    if ($gameActors.actor(1).isStateAffected(En_StNo.ホルモンウイルスB型)) {
        //this.delSpineSkin("Romasha", "Bust/BareBust"); //胸
        // this.delSpineSkin("Romasha", "Bust/Bra");
        // this.delSpineSkin("Romasha", "Bust/InnerBust");
    }
    this.SpineSkinCng(PN_CharacterPL);
    if (AccessFlg) this.SpineCngAccess();
}
Game_Interpreter.prototype.SpineCngAccess = function () {
    this.delSpineSkin("Romasha", "Pants");
    this.delSpineSkin("Romasha", "Bra");
    this.delSpineSkin("Romasha", "Weapon/Spear");   
    this.delSpineSkin("Romasha", "ArmedArm");   
    this.delSpineSkin("Romasha", "ArmedBody");  
    this.delSpineSkin("Romasha", "ArmedBoot");  
    this.delSpineSkin("Romasha", "ArmedBustAcce");  
    this.delSpineSkin("Romasha", "ArmedHand");  
    this.delSpineSkin("Romasha", "ArmedHip");   
    this.delSpineSkin("Romasha", "ArmedLeg");   
    this.delSpineSkin("Romasha", "ArmedPlate"); 
    this.delSpineSkin("Romasha", "ArmedPlateBust"); 
    this.delSpineSkin("Romasha", "ArmedShoulder");  
    this.delSpineSkin("Romasha", "Device"); 
    this.delSpineSkin("Romasha", "InnerBody");  
    this.delSpineSkin("Romasha", "InnerLeg");   
    this.delSpineSkin("Romasha", "Native_Bottom"); 
    this.delSpineSkin("Romasha", "Native_Upper"); 
    this.AddSpineSkin("Romasha", "Base/Bare"); 
    this.AddSpineSkin("Romasha", "Device");
    if (!$gameSwitches.value(SW_BtlGrbOFF)) {
        this.AddSpineSkin("Romasha", "ArmedHand");
    }
    if (!$gameSwitches.value(SW_BtlUdeSutuOFF)) { 
        this.AddSpineSkin("Romasha", "ArmedArm");
    }
    if (!$gameSwitches.value(SW_BtlBodySutuOFF)) { 
        this.AddSpineSkin("Romasha", "ArmedBody");
    }
    if ($gameSwitches.value(SW_BtlInnerOFF)) { 
        this.AddSpineSkin("Romasha", "Bust/BareBust");  
    } else {
        this.AddSpineSkin("Romasha", "InnerBody");
        this.AddSpineSkin("Romasha", "Bust/InnerBust"); 
        this.AddSpineSkin("Romasha", "InnerLeg");
    }
    if (!$gameSwitches.value(SW_BtlLegSutuOFF)) { 
        this.AddSpineSkin("Romasha", "ArmedLeg");
    }
    if (!$gameSwitches.value(SW_BtlAmKosiOFF)) {
        this.AddSpineSkin("Romasha", "ArmedHip");
    }
    if (!$gameSwitches.value(SW_BtlAmLegOFF)) {
        this.AddSpineSkin("Romasha", "ArmedBoot");
    }
    if (!$gameSwitches.value(SW_BtlAmKataOFF)) { 
        this.AddSpineSkin("Romasha", "ArmedShoulder");
    }
    if (!$gameSwitches.value(SW_BtlPltMuneOFF)) { 
        this.AddSpineSkin("Romasha", "ArmedPlate");
        this.AddSpineSkin("Romasha", "ArmedPlateBust");
    }
    if (!$gameSwitches.value(SW_BtlAmMuneOFF)) { 
        this.AddSpineSkin("Romasha", "ArmedBustAcce");
    }
    this.AddSpineSkin("Romasha", "Hair/Long");
    this.AddSpineSkin("Romasha", "Weapon/Spear");
    this.SpineSkinCng(PN_CharacterPL, "Romasha");
}
